package ${basePackage}.module.system.req;

import ${basePackage}.frame.base.BaseFindRequest;

/**
 * DeptRequest -  部门查询
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class DeptFindRequest extends BaseFindRequest {

    /**
     * 部门代码
     */
    private String deptCode;

    /**
     * 部门名称
     */
    private String deptName;

    /**
     * 部门别名
     */
    private String deptAlias;

    /**
     * 上级代码
     */
    private String supCode;

    /**
     * 上级名称
     */
    private String supName;

    /**
     * 是否有效
     */
    private Boolean valid;

    public String getDeptCode() {
        return this.deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getDeptName() {
        return this.deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDeptAlias() {
        return this.deptAlias;
    }

    public void setDeptAlias(String deptAlias) {
        this.deptAlias = deptAlias;
    }

    public String getSupCode() {
        return this.supCode;
    }

    public void setSupCode(String supCode) {
        this.supCode = supCode;
    }

    public String getSupName() {
        return this.supName;
    }

    public void setSupName(String supName) {
        this.supName = supName;
    }

    public Boolean getValid() {
        return this.valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }
}
